Mailinglist Archive: yast-devel (15 mails)

< Previous Next >
[yast-devel] yast2-all-packages patch
Hello YaST development,

I understood that all YaST changers aren't handled via the build server?

Can the attached patch please be applied to yast2-all-packages.

It now has the line:
%ifnarch ia64 ppc ppc64 s390 s390x %arm

Wouldn't it be better to replace it by:
%ifarch %ix86 x86_64

In the patch it's in the syntax as currently is in the spec file.

Regards,

Joop.diff working copy against linked revision 6f4f2387481cbb73a7fdf37580f9e4d8

Index: yast2-all-packages.changes
===================================================================
--- yast2-all-packages.changes (revision 6f4f2387481cbb73a7fdf37580f9e4d8)
+++ yast2-all-packages.changes (working copy)
@@ -1,3 +1,13 @@
+-------------------------------------------------------------------
+Sat Dec 24 19:26:22 UTC 2011 - joop.boonen@xxxxxxxxxxxx
+
+- yast2-vm for forgotten as not te bo build for %arm
+ I think te otherway around would be better.
+ %ifarch %ix86 x86_64
+ in stead of
+ %ifnarch ia64 ppc ppc64 s390 s390x %arm
+ as you mention when yast2-vm is needed isn stead of when not
+
-------------------------------------------------------------------
Thu May 19 14:05:36 UTC 2011 - coolo@xxxxxxxxxx

Index: yast2-all-packages.spec
===================================================================
--- yast2-all-packages.spec (revision 6f4f2387481cbb73a7fdf37580f9e4d8)
+++ yast2-all-packages.spec (working copy)
@@ -19,9 +19,9 @@

Name: yast2-all-packages
Version: 1.0
-Release: 158
+Release: 0
+Summary: Internal Package
License: GPL-2.0+
-Summary: Internal Package
Group: Metapackages
Source0: COPYING
Requires: autoyast2
@@ -210,7 +210,7 @@
Requires: yast2-ycp-ui-bindings-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Prefix: /usr
-%ifnarch ia64 ppc ppc64 s390 s390x
+%ifnarch ia64 ppc ppc64 s390 s390x %arm
Requires: yast2-vm
%endif
%ifnarch s390 s390x
< Previous Next >
This Thread
Follow Ups